%define upstream_name    Alien-Build
%define upstream_version 2.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Build external dependencies for use in CPAN
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.170.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.300.0
BuildRequires: perl(FFI::CheckLib) >= 0.110.0
BuildRequires: perl(File::Which) >= 1.100.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Path::Tiny) >= 0.77.0
BuildRequires: perl(Test2::API) >= 1.302.96
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Text::ParseWords) >= 3.260.0
BuildRequires: perl-devel
BuildRequires: perl-devel
BuildArch:  noarch

%description
This module provides tools for building external (non-CPAN) dependencies for
CPAN. It is mainly designed to be used at install time of a CPAN client, and
work closely with Alien::Base which is used at runtime.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SUPPORT example
%{_mandir}/man3/*
%perl_vendorlib/alienfile.pm
%perl_vendorlib/Alien/Build
%perl_vendorlib/Alien/Build.pm
%perl_vendorlib/Alien/Base
%perl_vendorlib/Alien/Base.pm
%perl_vendorlib/Alien/Role.pm
%perl_vendorlib/Test/Alien.pm
%perl_vendorlib/Test/Alien

%changelog
* Tue Nov 03 2020 tv <tv> 2.370.0-1.mga8
+ Revision: 1641926
- update to 2.37

* Wed Sep 23 2020 tv <tv> 2.330.0-1.mga8
+ Revision: 1629471
- update to 2.33

* Mon Sep 14 2020 tv <tv> 2.320.0-1.mga8
+ Revision: 1626150
- update to 2.32

* Tue Aug 11 2020 tv <tv> 2.290.0-1.mga8
+ Revision: 1613207
- update to 2.29

* Mon Aug 10 2020 tv <tv> 2.280.0-1.mga8
+ Revision: 1612549
- update to 2.28

* Fri Jun 19 2020 tv <tv> 2.260.0-1.mga8
+ Revision: 1596602
- update to 2.26

* Thu Jun 11 2020 tv <tv> 2.250.0-1.mga8
+ Revision: 1592285
- update to 2.25

* Sat May 16 2020 tv <tv> 2.230.0-1.mga8
+ Revision: 1584321
- update to 2.23

* Wed May 06 2020 tv <tv> 2.220.0-1.mga8
+ Revision: 1580703
- update to 2.22

* Sun Apr 12 2020 tv <tv> 2.210.0-1.mga8
+ Revision: 1566694
- update to 2.21

* Sat Apr 11 2020 tv <tv> 2.200.0-1.mga8
+ Revision: 1566462
- update to 2.20

* Fri Apr 10 2020 tv <tv> 2.190.0-1.mga8
+ Revision: 1566086
- update to 2.19

* Sat Mar 21 2020 tv <tv> 2.170.0-1.mga8
+ Revision: 1558504
- update to 2.17

* Tue Mar 17 2020 tv <tv> 2.150.0-1.mga8
+ Revision: 1557230
- update to 2.15

* Mon Mar 16 2020 tv <tv> 2.140.0-1.mga8
+ Revision: 1556595
- update to 2.14

* Tue Mar 10 2020 tv <tv> 2.120.0-1.mga8
+ Revision: 1555197
- update to 2.12

* Thu Feb 20 2020 umeabot <umeabot> 2.80.0-2.mga8
+ Revision: 1546823
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 tv <tv> 2.80.0-1.mga8
+ Revision: 1536860
- update to 2.08

* Tue Feb 11 2020 tv <tv> 2.40.0-1.mga8
+ Revision: 1489045
- update to 2.04

* Wed Feb 05 2020 shlomif <shlomif> 2.20.0-1.mga8
+ Revision: 1487210
- update to 2.02

* Tue Feb 04 2020 shlomif <shlomif> 2.0.0-1.mga8
+ Revision: 1486891
- update to 2.00

* Fri Jan 31 2020 tv <tv> 1.980.0-1.mga8
+ Revision: 1485882
- update to 1.98

* Tue Jan 28 2020 tv <tv> 1.960.0-1.mga8
+ Revision: 1484374
- update to 1.96

* Tue Dec 17 2019 tv <tv> 1.940.0-1.mga8
+ Revision: 1468535
- update to 1.94

* Tue Dec 10 2019 tv <tv> 1.930.0-1.mga8
+ Revision: 1465602
- update to 1.93

* Tue Nov 05 2019 tv <tv> 1.920.0-1.mga8
+ Revision: 1457750
- update to 1.92

* Sun Nov 03 2019 tv <tv> 1.910.0-1.mga8
+ Revision: 1457424
- update to 1.91

* Thu Sep 26 2019 tv <tv> 1.890.0-1.mga8
+ Revision: 1446648
- update to 1.89

* Sat Sep 14 2019 tv <tv> 1.860.0-1.mga8
+ Revision: 1440669
- update to 1.86

* Sat Aug 31 2019 tv <tv> 1.850.0-1.mga8
+ Revision: 1435853
- update to 1.85

* Sun Aug 25 2019 tv <tv> 1.830.0-1.mga8
+ Revision: 1431964
- update to 1.83

* Wed Jul 17 2019 tv <tv> 1.790.0-1.mga8
+ Revision: 1421974
- update to 1.79

* Mon Jul 01 2019 tv <tv> 1.780.0-1.mga8
+ Revision: 1417140
- update to 1.78

* Sat Jun 29 2019 tv <tv> 1.760.0-1.mga8
+ Revision: 1415918
- update to 1.76

* Mon Apr 22 2019 tv <tv> 1.670.0-1.mga7
+ Revision: 1394805
- update to 1.67

* Fri Apr 12 2019 tv <tv> 1.650.0-1.mga7
+ Revision: 1388945
- update to 1.65

* Tue Apr 09 2019 tv <tv> 1.630.0-1.mga7
+ Revision: 1387348
- update to 1.63

* Thu Mar 28 2019 tv <tv> 1.620.0-1.mga7
+ Revision: 1380728
- update to 1.62

* Fri Mar 01 2019 tv <tv> 1.600.0-1.mga7
+ Revision: 1370697
- update to 1.60

* Mon Feb 25 2019 tv <tv> 1.550.0-1.mga7
+ Revision: 1370029
- update to 1.55

* Thu Feb 14 2019 tv <tv> 1.520.0-1.mga7
+ Revision: 1366964
- update to 1.52

* Sun Jan 20 2019 tv <tv> 1.510.0-1.mga7
+ Revision: 1358368
- update to 1.51

* Thu Jan 17 2019 tv <tv> 1.500.0-1.mga7
+ Revision: 1357568
- update to 1.50

* Mon Nov 05 2018 tv <tv> 1.490.0-1.mga7
+ Revision: 1328399
- update to 1.49

* Thu Sep 20 2018 umeabot <umeabot> 1.480.0-2.mga7
+ Revision: 1281564
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 tv <tv> 1.480.0-1.mga7
+ Revision: 1242198
- update to 1.48

* Mon Jun 25 2018 tv <tv> 1.460.0-1.mga7
+ Revision: 1239671
- update to 1.46

* Sun Jun 03 2018 tv <tv> 1.430.0-1.mga7
+ Revision: 1234306
- update to 1.43

* Sat May 12 2018 tv <tv> 1.420.0-1.mga7
+ Revision: 1228486
- update to 1.42

* Tue May 01 2018 tv <tv> 1.410.0-1.mga7
+ Revision: 1224377
- update to 1.41

* Sat Mar 10 2018 tv <tv> 1.390.0-1.mga7
+ Revision: 1207948
- update to 1.39

* Sat Mar 03 2018 tv <tv> 1.370.0-1.mga7
+ Revision: 1206269
- update to 1.37

* Fri Feb 09 2018 tv <tv> 1.360.0-1.mga7
+ Revision: 1199862
- update to 1.36

* Mon Nov 06 2017 tv <tv> 1.320.0-1.mga7
+ Revision: 1176177
- update to 1.32

* Tue Oct 31 2017 tv <tv> 1.280.0-1.mga7
+ Revision: 1175171
- update to 1.28

* Tue Oct 03 2017 tv <tv> 1.210.0-1.mga7
+ Revision: 1167667
- update to 1.21

* Mon Oct 02 2017 tv <tv> 1.200.0-2.mga7
+ Revision: 1162797
- rebuild with fixed rpm for missing autodeps

* Mon Oct 02 2017 guillomovitch <guillomovitch> 1.200.0-1.mga7
+ Revision: 1162497
- new version 1.20

* Mon Sep 25 2017 tv <tv> 1.180.0-1.mga7
+ Revision: 1159461
- update to 1.18

* Thu Sep 21 2017 tv <tv> 1.160.0-2.mga7
+ Revision: 1156604
- BR perl-devel for testsuite
+ guillomovitch <guillomovitch>
- imported package perl-Alien-Build

